<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Serialized Form (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;io.mosip.registration.dto</h2>
<ul class="blockList">
<li class="blockList"><a name="io.mosip.registration.dto.MainResponseDTO">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/dto/MainResponseDTO.html" title="class in io.mosip.registration.dto">io.mosip.registration.dto.MainResponseDTO</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>3384945682672832638L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>err</h4>
<pre><a href="io/mosip/registration/dto/PreRegistrationExceptionJSONInfoDTO.html" title="class in io.mosip.registration.dto">PreRegistrationExceptionJSONInfoDTO</a> err</pre>
<div class="block">The error details.</div>
</li>
<li class="blockList">
<h4>status</h4>
<pre>boolean status</pre>
</li>
<li class="blockList">
<h4>resTime</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> resTime</pre>
</li>
<li class="blockListLast">
<h4>response</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> response</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.dto.PreRegistrationDataSyncDTO">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/dto/PreRegistrationDataSyncDTO.html" title="class in io.mosip.registration.dto">io.mosip.registration.dto.PreRegistrationDataSyncDTO</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> id</pre>
</li>
<li class="blockList">
<h4>ver</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ver</pre>
</li>
<li class="blockList">
<h4>reqTime</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> reqTime</pre>
</li>
<li class="blockListLast">
<h4>dataSyncRequestDto</h4>
<pre><a href="io/mosip/registration/dto/PreRegistrationDataSyncRequestDTO.html" title="class in io.mosip.registration.dto">PreRegistrationDataSyncRequestDTO</a> dataSyncRequestDto</pre>
<div class="block">object to accept json</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.dto.PreRegistrationDataSyncRequestDTO">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/dto/PreRegistrationDataSyncRequestDTO.html" title="class in io.mosip.registration.dto">io.mosip.registration.dto.PreRegistrationDataSyncRequestDTO</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>regClientId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> regClientId</pre>
<div class="block">The Registration-client-Id.</div>
</li>
<li class="blockList">
<h4>fromDate</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> fromDate</pre>
<div class="block">The from-date.</div>
</li>
<li class="blockList">
<h4>toDate</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> toDate</pre>
<div class="block">The To-date.</div>
</li>
<li class="blockListLast">
<h4>userId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> userId</pre>
<div class="block">The UserId.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.dto.PreRegistrationExceptionJSONInfoDTO">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/dto/PreRegistrationExceptionJSONInfoDTO.html" title="class in io.mosip.registration.dto">io.mosip.registration.dto.PreRegistrationExceptionJSONInfoDTO</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>3999014525078508265L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>errorCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> errorCode</pre>
</li>
<li class="blockListLast">
<h4>message</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> message</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.dto.PreRegistrationIdsDTO">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/dto/PreRegistrationIdsDTO.html" title="class in io.mosip.registration.dto">io.mosip.registration.dto.PreRegistrationIdsDTO</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>6402670047109104959L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>transactionId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> transactionId</pre>
</li>
<li class="blockList">
<h4>countOfPreRegIds</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> countOfPreRegIds</pre>
</li>
<li class="blockListLast">
<h4>preRegistrationIds</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; preRegistrationIds</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.dto.PreRegistrationResponseDataSyncDTO">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/dto/PreRegistrationResponseDataSyncDTO.html" title="class in io.mosip.registration.dto">io.mosip.registration.dto.PreRegistrationResponseDataSyncDTO</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>6402670047109104959L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>transactionId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> transactionId</pre>
</li>
<li class="blockListLast">
<h4>preRegistrationIds</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">E</a>&gt; preRegistrationIds</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;io.mosip.registration.dto.mastersync</h2>
<ul class="blockList">
<li class="blockList"><a name="io.mosip.registration.dto.mastersync.LocationHierarchyDto">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/dto/mastersync/LocationHierarchyDto.html" title="class in io.mosip.registration.dto.mastersync">io.mosip.registration.dto.mastersync.LocationHierarchyDto</a> extends <a href="io/mosip/registration/dto/mastersync/MasterSyncBaseDto.html" title="class in io.mosip.registration.dto.mastersync">MasterSyncBaseDto</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>4552110961570300174L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>locationHierarchylevel</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Short.html?is-external=true" title="class or interface in java.lang">Short</a> locationHierarchylevel</pre>
</li>
<li class="blockList">
<h4>locationHierarchyName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> locationHierarchyName</pre>
</li>
<li class="blockListLast">
<h4>isActive</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a> isActive</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.dto.mastersync.PostReasonCategoryDto">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/dto/mastersync/PostReasonCategoryDto.html" title="class in io.mosip.registration.dto.mastersync">io.mosip.registration.dto.mastersync.PostReasonCategoryDto</a> extends <a href="io/mosip/registration/dto/mastersync/MasterSyncBaseDto.html" title="class in io.mosip.registration.dto.mastersync">MasterSyncBaseDto</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-845601642085487726L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>code</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> code</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
<li class="blockList">
<h4>description</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> description</pre>
</li>
<li class="blockList">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
<li class="blockListLast">
<h4>isActive</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a> isActive</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;io.mosip.registration.entity</h2>
<ul class="blockList">
<li class="blockList"><a name="io.mosip.registration.entity.AppDetail">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/AppDetail.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.AppDetail</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>8290595452364059572L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> id</pre>
<div class="block">The id.</div>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
<div class="block">The name.</div>
</li>
<li class="blockList">
<h4>descr</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> descr</pre>
<div class="block">The descr.</div>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
<div class="block">The lang code.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.ApplicantValidDocument">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/ApplicantValidDocument.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.ApplicantValidDocument</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-3111581667845281498L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>validDocument</h4>
<pre><a href="io/mosip/registration/entity/id/ApplicantValidDocumentID.html" title="class in io.mosip.registration.entity.id">ApplicantValidDocumentID</a> validDocument</pre>
</li>
<li class="blockList">
<h4>documentCategory</h4>
<pre><a href="io/mosip/registration/entity/DocumentCategory.html" title="class in io.mosip.registration.entity">DocumentCategory</a> documentCategory</pre>
</li>
<li class="blockList">
<h4>documentType</h4>
<pre><a href="io/mosip/registration/entity/DocumentType.html" title="class in io.mosip.registration.entity">DocumentType</a> documentType</pre>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.Application">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/Application.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.Application</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>893244317356416503L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>code</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> code</pre>
</li>
<li class="blockList">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
<li class="blockListLast">
<h4>description</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> description</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.BiometricAttribute">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/BiometricAttribute.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.BiometricAttribute</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-1302520630931393544L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>code</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> code</pre>
</li>
<li class="blockList">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
<li class="blockList">
<h4>description</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> description</pre>
</li>
<li class="blockList">
<h4>biometricTypeCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> biometricTypeCode</pre>
</li>
<li class="blockListLast">
<h4>biometricType</h4>
<pre><a href="io/mosip/registration/entity/BiometricType.html" title="class in io.mosip.registration.entity">BiometricType</a> biometricType</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.BiometricType">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/BiometricType.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.BiometricType</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>4605128758645778470L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>code</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> code</pre>
</li>
<li class="blockList">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
<li class="blockListLast">
<h4>description</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> description</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.BlacklistedWords">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/BlacklistedWords.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.BlacklistedWords</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-402658536057675404L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>word</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> word</pre>
</li>
<li class="blockList">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
<div class="block">The language code of the word.</div>
</li>
<li class="blockListLast">
<h4>description</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> description</pre>
<div class="block">The description of the word.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.Holiday">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/Holiday.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.Holiday</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1329042436883315822L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>hId</h4>
<pre><a href="io/mosip/registration/entity/id/HolidayID.html" title="class in io.mosip.registration.entity.id">HolidayID</a> hId</pre>
</li>
<li class="blockList">
<h4>holidayId</h4>
<pre>int holidayId</pre>
</li>
<li class="blockListLast">
<h4>holidayDesc</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> holidayDesc</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.IdType">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/IdType.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.IdType</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-97767928612692201L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>codeAndLanguageCodeID</h4>
<pre><a href="io/mosip/registration/entity/id/CodeAndLanguageCodeID.html" title="class in io.mosip.registration.entity.id">CodeAndLanguageCodeID</a> codeAndLanguageCodeID</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
<div class="block">The idtype name.</div>
</li>
<li class="blockListLast">
<h4>descr</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> descr</pre>
<div class="block">The idtype description.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.IndividualType">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/IndividualType.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.IndividualType</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-9192768324920614543L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>individualTypeId</h4>
<pre><a href="io/mosip/registration/entity/id/IndividualTypeId.html" title="class in io.mosip.registration.entity.id">IndividualTypeId</a> individualTypeId</pre>
</li>
<li class="blockListLast">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.Language">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/Language.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.Language</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-5585825705521742941L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>code</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> code</pre>
<div class="block">Field for language code</div>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
<div class="block">Field for language name</div>
</li>
<li class="blockList">
<h4>family</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> family</pre>
<div class="block">Field for language family</div>
</li>
<li class="blockListLast">
<h4>nativeName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> nativeName</pre>
<div class="block">Field for language native name</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.Location">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.Location</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-5585825705521742941L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>code</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> code</pre>
</li>
<li class="blockList">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
<li class="blockList">
<h4>hierarchyLevel</h4>
<pre>int hierarchyLevel</pre>
</li>
<li class="blockList">
<h4>hierarchyName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> hierarchyName</pre>
</li>
<li class="blockListLast">
<h4>parentLocCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> parentLocCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.MachineMaster">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/MachineMaster.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.MachineMaster</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-5585825705521742941L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>regMachineSpecId</h4>
<pre><a href="io/mosip/registration/entity/id/RegMachineSpecId.html" title="class in io.mosip.registration.entity.id">RegMachineSpecId</a> regMachineSpecId</pre>
<div class="block">Field for machine ID</div>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
<div class="block">Field for machine name</div>
</li>
<li class="blockList">
<h4>serialNum</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> serialNum</pre>
<div class="block">Field for machine serial number</div>
</li>
<li class="blockList">
<h4>ipAddress</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ipAddress</pre>
<div class="block">Field for machine ip address</div>
</li>
<li class="blockList">
<h4>macAddress</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> macAddress</pre>
<div class="block">Field for machine mac address</div>
</li>
<li class="blockList">
<h4>machineSpecId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> machineSpecId</pre>
<div class="block">Field for machine specific id</div>
</li>
<li class="blockList">
<h4>validityDateTime</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/time/LocalDateTime.html?is-external=true" title="class or interface in java.time">LocalDateTime</a> validityDateTime</pre>
<div class="block">Field for validity end Date and Time for machine</div>
</li>
<li class="blockListLast">
<h4>machineSpecification</h4>
<pre><a href="io/mosip/registration/entity/RegMachineSpec.html" title="class in io.mosip.registration.entity">RegMachineSpec</a> machineSpecification</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.MachineType">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/MachineType.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.MachineType</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-8541947587557590379L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>codeAndLanguageCodeID</h4>
<pre><a href="io/mosip/registration/entity/id/CodeAndLanguageCodeID.html" title="class in io.mosip.registration.entity.id">CodeAndLanguageCodeID</a> codeAndLanguageCodeID</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
<li class="blockListLast">
<h4>description</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> description</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.ProcessList">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/ProcessList.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.ProcessList</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>5669845046061622990L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> id</pre>
<div class="block">The id.</div>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
<div class="block">The name.</div>
</li>
<li class="blockList">
<h4>descr</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> descr</pre>
<div class="block">The descr.</div>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
<div class="block">The lang code.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.ReasonCategory">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/ReasonCategory.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.ReasonCategory</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1440279821197074364L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>code</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> code</pre>
</li>
<li class="blockList">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
<li class="blockList">
<h4>description</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> description</pre>
</li>
<li class="blockList">
<h4>isDeleted</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a> isDeleted</pre>
</li>
<li class="blockList">
<h4>delDtimes</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a> delDtimes</pre>
</li>
<li class="blockListLast">
<h4>reasonList</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">E</a>&gt; reasonList</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.ReasonList">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/ReasonList.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.ReasonList</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-572990183711593868L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>rsnCatCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> rsnCatCode</pre>
</li>
<li class="blockList">
<h4>code</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> code</pre>
</li>
<li class="blockList">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
<li class="blockList">
<h4>description</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> description</pre>
</li>
<li class="blockListLast">
<h4>reasonCategory</h4>
<pre><a href="io/mosip/registration/entity/ReasonCategory.html" title="class in io.mosip.registration.entity">ReasonCategory</a> reasonCategory</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.RegCentreMachineDevice">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/RegCentreMachineDevice.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.RegCentreMachineDevice</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-2355800981218228906L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>regCentreMachineDeviceId</h4>
<pre><a href="io/mosip/registration/entity/id/RegCentreMachineDeviceId.html" title="class in io.mosip.registration.entity.id">RegCentreMachineDeviceId</a> regCentreMachineDeviceId</pre>
<div class="block">The reg centre machine device id.</div>
</li>
<li class="blockList">
<h4>isDeleted</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a> isDeleted</pre>
<div class="block">The is deleted.</div>
</li>
<li class="blockList">
<h4>deletedTime</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a> deletedTime</pre>
<div class="block">The deleted time.</div>
</li>
<li class="blockList">
<h4>regDeviceMaster</h4>
<pre><a href="io/mosip/registration/entity/RegDeviceMaster.html" title="class in io.mosip.registration.entity">RegDeviceMaster</a> regDeviceMaster</pre>
<div class="block">The reg device master.</div>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
<div class="block">The lang code.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.RegMachineSpec">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/RegMachineSpec.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.RegMachineSpec</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>regMachineSpecId</h4>
<pre><a href="io/mosip/registration/entity/id/RegMachineSpecId.html" title="class in io.mosip.registration.entity.id">RegMachineSpecId</a> regMachineSpecId</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
<li class="blockList">
<h4>brand</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> brand</pre>
</li>
<li class="blockList">
<h4>model</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> model</pre>
</li>
<li class="blockList">
<h4>machineTypeCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> machineTypeCode</pre>
</li>
<li class="blockList">
<h4>minDriverversion</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> minDriverversion</pre>
</li>
<li class="blockList">
<h4>description</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> description</pre>
</li>
<li class="blockListLast">
<h4>machineType</h4>
<pre><a href="io/mosip/registration/entity/MachineType.html" title="class in io.mosip.registration.entity">MachineType</a> machineType</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.TemplateEmbeddedKeyCommonFields">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/TemplateEmbeddedKeyCommonFields.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.TemplateEmbeddedKeyCommonFields</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>code</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> code</pre>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.Title">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/Title.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.Title</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1323331283383315822L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="io/mosip/registration/entity/id/CodeAndLanguageCodeID.html" title="class in io.mosip.registration.entity.id">CodeAndLanguageCodeID</a> id</pre>
</li>
<li class="blockList">
<h4>titleName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> titleName</pre>
</li>
<li class="blockListLast">
<h4>titleDescription</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> titleDescription</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.UserDetail">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/UserDetail.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.UserDetail</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> id</pre>
</li>
<li class="blockList">
<h4>uinRefId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> uinRefId</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
<li class="blockList">
<h4>email</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> email</pre>
</li>
<li class="blockList">
<h4>mobile</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> mobile</pre>
</li>
<li class="blockList">
<h4>statusCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> statusCode</pre>
</li>
<li class="blockList">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
<li class="blockList">
<h4>lastLoginDtimes</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a> lastLoginDtimes</pre>
</li>
<li class="blockList">
<h4>lastLoginMethod</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> lastLoginMethod</pre>
</li>
<li class="blockList">
<h4>unsuccessfulLoginCount</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a> unsuccessfulLoginCount</pre>
</li>
<li class="blockList">
<h4>userlockTillDtimes</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a> userlockTillDtimes</pre>
</li>
<li class="blockList">
<h4>isDeleted</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a> isDeleted</pre>
</li>
<li class="blockList">
<h4>delDtimes</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a> delDtimes</pre>
</li>
<li class="blockList">
<h4>userRole</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">E</a>&gt; userRole</pre>
</li>
<li class="blockList">
<h4>userMachineMapping</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">E</a>&gt; userMachineMapping</pre>
</li>
<li class="blockList">
<h4>userBiometric</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">E</a>&gt; userBiometric</pre>
</li>
<li class="blockList">
<h4>userPassword</h4>
<pre><a href="io/mosip/registration/entity/UserPassword.html" title="class in io.mosip.registration.entity">UserPassword</a> userPassword</pre>
</li>
<li class="blockListLast">
<h4>regCenterUser</h4>
<pre><a href="io/mosip/registration/entity/RegCenterUser.html" title="class in io.mosip.registration.entity">RegCenterUser</a> regCenterUser</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.UserMachineMapping">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/UserMachineMapping.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.UserMachineMapping</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>8686723876595925323L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>userMachineMappingId</h4>
<pre><a href="io/mosip/registration/entity/id/UserMachineMappingID.html" title="class in io.mosip.registration.entity.id">UserMachineMappingID</a> userMachineMappingId</pre>
<div class="block">The user machine mapping id.</div>
</li>
<li class="blockList">
<h4>userDetail</h4>
<pre><a href="io/mosip/registration/entity/UserDetail.html" title="class in io.mosip.registration.entity">UserDetail</a> userDetail</pre>
<div class="block">The user detail.</div>
</li>
<li class="blockList">
<h4>machineMaster</h4>
<pre><a href="io/mosip/registration/entity/MachineMaster.html" title="class in io.mosip.registration.entity">MachineMaster</a> machineMaster</pre>
<div class="block">The machine master.</div>
</li>
<li class="blockList">
<h4>isDeleted</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a> isDeleted</pre>
<div class="block">The is deleted.</div>
</li>
<li class="blockList">
<h4>deletedDateTime</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a> deletedDateTime</pre>
<div class="block">The deleted date time.</div>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
<div class="block">The lang code.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.ValidDocument">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/ValidDocument.html" title="class in io.mosip.registration.entity">io.mosip.registration.entity.ValidDocument</a> extends <a href="io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-3111581667845281498L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>docTypeCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> docTypeCode</pre>
</li>
<li class="blockList">
<h4>docCategoryCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> docCategoryCode</pre>
</li>
<li class="blockList">
<h4>documentCategory</h4>
<pre><a href="io/mosip/registration/entity/DocumentCategory.html" title="class in io.mosip.registration.entity">DocumentCategory</a> documentCategory</pre>
</li>
<li class="blockList">
<h4>documentType</h4>
<pre><a href="io/mosip/registration/entity/DocumentType.html" title="class in io.mosip.registration.entity">DocumentType</a> documentType</pre>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;io.mosip.registration.entity.id</h2>
<ul class="blockList">
<li class="blockList"><a name="io.mosip.registration.entity.id.AppAuthenticationMethodId">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/AppAuthenticationMethodId.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.AppAuthenticationMethodId</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>appId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> appId</pre>
</li>
<li class="blockList">
<h4>processId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> processId</pre>
</li>
<li class="blockList">
<h4>roleCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> roleCode</pre>
</li>
<li class="blockListLast">
<h4>authMethodCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> authMethodCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.ApplicantValidDocumentID">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/ApplicantValidDocumentID.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.ApplicantValidDocumentID</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>appTypeCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> appTypeCode</pre>
</li>
<li class="blockList">
<h4>docCatCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> docCatCode</pre>
</li>
<li class="blockListLast">
<h4>docTypeCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> docTypeCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.AppRolePriorityId">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/AppRolePriorityId.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.AppRolePriorityId</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>appId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> appId</pre>
</li>
<li class="blockList">
<h4>processId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> processId</pre>
</li>
<li class="blockListLast">
<h4>roleCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> roleCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.CenterMachineId">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/CenterMachineId.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.CenterMachineId</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>241072783610318336L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> id</pre>
</li>
<li class="blockListLast">
<h4>centreId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> centreId</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.CodeAndLanguageCodeID">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/CodeAndLanguageCodeID.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.CodeAndLanguageCodeID</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>7001663925687776491L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>code</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> code</pre>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.CodeLangCodeAndRsnCatCodeID">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/CodeLangCodeAndRsnCatCodeID.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.CodeLangCodeAndRsnCatCodeID</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-5622889820282234362L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>rsnCatCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> rsnCatCode</pre>
</li>
<li class="blockList">
<h4>code</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> code</pre>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.GenericId">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/GenericId.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.GenericId</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-2757022596319558123L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>code</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> code</pre>
</li>
<li class="blockListLast">
<h4>isActive</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a> isActive</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.GlobalParamId">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/GlobalParamId.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.GlobalParamId</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>code</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> code</pre>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.HolidayID">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/HolidayID.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.HolidayID</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-1631873932622755759L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>locationCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> locationCode</pre>
</li>
<li class="blockList">
<h4>holidayDate</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/time/LocalDate.html?is-external=true" title="class or interface in java.time">LocalDate</a> holidayDate</pre>
</li>
<li class="blockList">
<h4>holidayName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> holidayName</pre>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.IdAndLanguageCodeID">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/IdAndLanguageCodeID.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.IdAndLanguageCodeID</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> id</pre>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.IndividualTypeId">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/IndividualTypeId.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.IndividualTypeId</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>7001663925687776491L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>code</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> code</pre>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.RegCenterDeviceId">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/RegCenterDeviceId.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.RegCenterDeviceId</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>683329999784335720L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>regCenterId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> regCenterId</pre>
</li>
<li class="blockListLast">
<h4>deviceId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> deviceId</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.RegCenterUserId">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/RegCenterUserId.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.RegCenterUserId</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-7306845601917592413L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>regcntrId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> regcntrId</pre>
</li>
<li class="blockListLast">
<h4>usrId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> usrId</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.RegCentreMachineDeviceId">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/RegCentreMachineDeviceId.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.RegCentreMachineDeviceId</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-1247474923778950226L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>regCentreId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> regCentreId</pre>
</li>
<li class="blockList">
<h4>machineId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> machineId</pre>
</li>
<li class="blockListLast">
<h4>deviceId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> deviceId</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.RegDeviceTypeId">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/RegDeviceTypeId.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.RegDeviceTypeId</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-8748623866593150099L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>code</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> code</pre>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.RegistartionCenterId">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/RegistartionCenterId.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.RegistartionCenterId</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-7306845601917592413L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> id</pre>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.RegMachineSpecId">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/RegMachineSpecId.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.RegMachineSpecId</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-7306845601917592413L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> id</pre>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.ScreenAuthorizationId">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/ScreenAuthorizationId.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.ScreenAuthorizationId</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-8699602385381298607L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>screenId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> screenId</pre>
</li>
<li class="blockListLast">
<h4>roleCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> roleCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.TemplateId">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/TemplateId.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.TemplateId</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-7306845601917592413L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> id</pre>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.UserBiometricId">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/UserBiometricId.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.UserBiometricId</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>4356301394048825993L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>usrId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> usrId</pre>
</li>
<li class="blockList">
<h4>bioTypeCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> bioTypeCode</pre>
</li>
<li class="blockListLast">
<h4>bioAttributeCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> bioAttributeCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.UserMachineMappingID">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/UserMachineMappingID.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.UserMachineMappingID</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-1883492292190913762L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>userID</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> userID</pre>
</li>
<li class="blockList">
<h4>centreID</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> centreID</pre>
</li>
<li class="blockListLast">
<h4>machineID</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> machineID</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.UserRoleID">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/UserRoleID.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.UserRoleID</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-8072043172665654382L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>usrId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> usrId</pre>
</li>
<li class="blockListLast">
<h4>roleCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> roleCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.ValidDocumentID">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/ValidDocumentID.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.ValidDocumentID</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-6394443536056430885L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>docTypeCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> docTypeCode</pre>
</li>
<li class="blockListLast">
<h4>docCategoryCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> docCategoryCode</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="io.mosip.registration.entity.id.WordAndLanguageCodeID">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/entity/id/WordAndLanguageCodeID.html" title="class in io.mosip.registration.entity.id">io.mosip.registration.entity.id.WordAndLanguageCodeID</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>2309013416400782373L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>word</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> word</pre>
<div class="block">The blacklisted word.</div>
</li>
<li class="blockListLast">
<h4>langCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langCode</pre>
<div class="block">The language code.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;io.mosip.registration.exception</h2>
<ul class="blockList">
<li class="blockList"><a name="io.mosip.registration.exception.RegBaseCheckedException">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">io.mosip.registration.exception.RegBaseCheckedException</a> extends io.mosip.kernel.core.exception.BaseCheckedException implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>7381314129809012005L</dd>
</dl>
</li>
<li class="blockList"><a name="io.mosip.registration.exception.RegBaseUncheckedException">
<!--   -->
</a>
<h3>Class <a href="io/mosip/registration/exception/RegBaseUncheckedException.html" title="class in io.mosip.registration.exception">io.mosip.registration.exception.RegBaseUncheckedException</a> extends io.mosip.kernel.core.exception.BaseUncheckedException implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>276197701640260133L</dd>
</dl>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
